/*
 *  TINET (TCP/IP Protocol Stack)
 * 
 *  Copyright (C) 2001-2006 by Dep. of Computer Science and Engineering
 *                   Tomakomai National College of Technology, JAPAN
 *
 *  嵭Ԥϡʲ (1)(4) ξ狼Free Software Foundation 
 *  ˤäƸɽƤ GNU General Public License  Version 2 ˵
 *  ҤƤ˸¤ꡤܥեȥܥեȥ
 *  ѤΤޤࡥʲƱˤѡʣѡۡʰʲ
 *  ѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡξȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơŬѲǽ
 *  ޤơʤݾڤԤʤޤܥեȥѤˤľ
 *  ŪޤϴŪʤ»˴ؤƤ⡤Ǥʤ
 * 
 *  @(#) $Id: ppp_modem.h,v 1.3.1.2 2006/07/11 00:56:11 abe Exp abe $
 */

#ifndef _PPP_MODEM_H_
#define _PPP_MODEM_H_

#ifdef SUPPORT_PPP

#ifdef PPP_CFG_MODEM

/*
 *  ǥξ
 */

#define PPP_MODEM_CONNECT	0
#define PPP_MODEM_DISCONN	1
#define PPP_MODEM_RING		2
#define PPP_MODEM_DIAL		3
#define PPP_MODEM_UP		4
#define PPP_MODEM_DOWN		5

/*
 *  ѿ
 */

extern UB modem_state;	/* ǥξ		*/

/*
 *  ؿ
 */

extern T_NET_BUF *modem_getline (T_NET_BUF *nbuf, UH size);
extern int modem_cntl (T_NET_BUF *input);
extern void init_modem (void);
extern void dial (void);
extern ER wait_modem (void);

#else	/* of #ifdef PPP_CFG_MODEM */

/*
 *  ؿ
 */

#define init_modem

#endif	/* of #ifdef PPP_CFG_MODEM */

#endif	/* of #ifdef SUPPORT_PPP */

#endif	/* of #ifndef _PPP_MODEM_H_ */
